<!--
  ~ Copyright (c) 2021. Julien Fischer
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~         http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  -->

<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <link rel="icon" type="image/png" sizes="32x32" href="assets/branding/favicon.png">
    <link rel="stylesheet" href="./assets/icons/style.css">
    <link rel="stylesheet" href="./css/app.css">
    <link rel="stylesheet" href="./css/shared.css">
    <title>edit.js</title>
  </head>
  <body>

    <section id="editjs"></section>

    <!--    Constants    -->
    <script type="text/javascript" src="./js/constants/metadata/OutputPolicy.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/HeaderOrientation.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/BorderPolicy.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/FormatType.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/Format.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/CommentType.js"></script>
    <script type="text/javascript" src="./js/constants/Axis.js"></script>
    <script type="text/javascript" src="./js/constants/CellType.js"></script>
    <script type="text/javascript" src="./js/models/Vector.js"></script>
    <script type="text/javascript" src="./js/constants/Direction.js"></script>
    <script type="text/javascript" src="./js/constants/Alignment.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/JsonFormat.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/JavaFormat.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/CSharpFormat.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/PhpFormat.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/PythonFormat.js"></script>
    <script type="text/javascript" src="./js/constants/metadata/TextCase.js"></script>
    <script type="text/javascript" src="./js/constants/HtmlEntities.js"></script>
    <script type="text/javascript" src="./js/constants/ui/ActionRequest.js"></script>
    <script type="text/javascript" src="./js/constants/ui/Unicode.js"></script>
    <script type="text/javascript" src="./js/constants/ui/Side.js"></script>
    <script type="text/javascript" src="./js/constants/ui/Icons.js"></script>
    <script type="text/javascript" src="./js/constants/ui/ButtonStyle.js"></script>
    <script type="text/javascript" src="./js/constants/ui/ButtonType.js"></script>
    <script type="text/javascript" src="./js/constants/ui/MessageType.js"></script>
    <script type="text/javascript" src="./js/constants/ui/ScreenSize.js"></script>
    <script type="text/javascript" src="./js/constants/ui/Themes.js"></script>
    <script type="text/javascript" src="./js/constants/keyboard/Key.js"></script>
    <script type="text/javascript" src="./js/constants/keyboard/Modifier.js"></script>
    <script type="text/javascript" src="./js/constants/keyboard/KeyStroke.js"></script>
    <script type="text/javascript" src="./js/constants/keyboard/Context.js"></script>
    <script type="text/javascript" src="./js/Settings.js"></script>
    <!--    Internal    -->
    <script type="text/javascript" src="./js/internal/LogLevel.js"></script>
    <script type="text/javascript" src="./js/internal/Logger.js"></script>
    <!--    Utils    -->
    <script type="text/javascript" src="./js/utils/Values.js"></script>
    <script type="text/javascript" src="./js/utils/GUI.js"></script>
    <script type="text/javascript" src="./js/utils/Forms.js"></script>
    <script type="text/javascript" src="./js/utils/TypeFunctions.js"></script>
    <script type="text/javascript" src="./js/utils/MatrixUtils.js"></script>
    <script type="text/javascript" src="./js/utils/ArrayUtils.js"></script>
    <script type="text/javascript" src="./js/utils/ObjectUtils.js"></script>
    <script type="text/javascript" src="./js/utils/StringUtils.js"></script>
    <script type="text/javascript" src="./js/utils/SpreadSheetUtils.js"></script>
    <script type="text/javascript" src="./js/utils/Enums.js"></script>
    <!--    I/O    -->
    <script type="text/javascript" src="./js/io/BorderFactory.js"></script>
    <script type="text/javascript" src="./js/io/TextBorder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/ParserResult.js"></script>
    <script type="text/javascript" src="./js/io/Languages.js"></script>
    <script type="text/javascript" src="./js/io/encoding/Encoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/PlainTextEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/GitHubMarkdownEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/ConfluenceEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/LatexEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/AsciiDocEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/MediaWikiEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/BBCodeEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/HtmlEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/CsvEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/SqlEncoder.js"></script>
    <script type="text/javascript" src="./js/io/encoding/encoders/CTypeEncoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/Decoders.js"></script>
    <script type="text/javascript" src="./js/io/decoding/Decoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/PlainTextDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/GitHubMarkdownDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/ConfluenceDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/LatexDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/AsciiDocDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/HtmlDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/MediaWikiDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/BBCodeDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/JsonDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/CsvDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/SqlDecoder.js"></script>
    <script type="text/javascript" src="./js/io/decoding/decoders/CTypeDecoder.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/TokenType.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/Token.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/Highlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/CTypeHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/PlainTextHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/TagBasedHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/MarkdownHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/SqlHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/CsvHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/LatexHighlighter.js"></script>
    <script type="text/javascript" src="./js/io/highlighting/highlighters/MediaWikiHighlighter.js"></script>
    <!--    Commands    -->
    <script type="text/javascript" src="./js/commands/InsertRowCommand.js"></script>
    <script type="text/javascript" src="./js/commands/RemoveRowCommand.js"></script>
    <script type="text/javascript" src="./js/commands/DuplicateRowCommand.js"></script>
    <script type="text/javascript" src="./js/commands/InsertColumnCommand.js"></script>
    <script type="text/javascript" src="./js/commands/RemoveColumnCommand.js"></script>
    <script type="text/javascript" src="./js/commands/DuplicateColumnCommand.js"></script>
    <script type="text/javascript" src="./js/commands/ClearCommand.js"></script>
    <script type="text/javascript" src="./js/commands/ResetCommand.js"></script>
    <script type="text/javascript" src="./js/commands/InputCommand.js"></script>
    <script type="text/javascript" src="./js/commands/SwapCommand.js"></script>
    <script type="text/javascript" src="./js/commands/AlignCommand.js"></script>
    <script type="text/javascript" src="./js/commands/ImportCommand.js"></script>
    <!--    Models, Events    -->
    <script type="text/javascript" src="./js/events/CellUpdate.js"></script>
    <script type="text/javascript" src="./js/events/ActiveCellEvent.js"></script>
    <script type="text/javascript" src="./js/models/TableMetadata.js"></script>
    <script type="text/javascript" src="./js/models/Cell.js"></script>
    <script type="text/javascript" src="./js/models/Rectangle.js"></script>
    <script type="text/javascript" src="./js/models/TableModel.js"></script>
    <script type="text/javascript" src="./js/models/Matrix.js"></script>
    <script type="text/javascript" src="./js/models/Occurrence.js"></script>
    <!--    Components    -->
    <script type="text/javascript" src="./js/components/dumb/Component.js"></script>
    <script type="text/javascript" src="./js/components/dumb/Icon.js"></script>
    <script type="text/javascript" src="./js/components/dumb/AppName.js"></script>
    <script type="text/javascript" src="./js/components/dumb/Logo.js"></script>
    <script type="text/javascript" src="./js/components/dumb/Tag.js"></script>
    <script type="text/javascript" src="./js/components/dumb/forms/Checkbox.js"></script>
    <script type="text/javascript" src="./js/components/dumb/forms/Combobox.js"></script>
    <script type="text/javascript" src="./js/components/dumb/PopOver.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/Button.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/ExpandButton.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/ToggleButton.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/ButtonGroup.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/CloseButton.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/HelpButton.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/IconButton.js"></script>
    <script type="text/javascript" src="./js/components/dumb/buttons/FabButton.js"></script>
    <script type="text/javascript" src="./js/components/dumb/Snackbar.js"></script>
    <script type="text/javascript" src="./js/components/dumb/forms/TextField.js"></script>
    <script type="text/javascript" src="./js/components/dumb/Table.js"></script>
    <script type="text/javascript" src="./js/components/dumb/MarkdownRenderer.js"></script>
    <script type="text/javascript" src="./js/components/dumb/LineNumbers.js"></script>
    <script type="text/javascript" src="./js/components/dumb/SplitPane.js"></script>
    <script type="text/javascript" src="./js/components/dumb/Dialog.js"></script>
    <script type="text/javascript" src="./js/components/controls/KeyEventProcessor.js"></script>
    <script type="text/javascript" src="./js/components/controls/Action.js"></script>
    <script type="text/javascript" src="./js/components/controls/EventProcessor.js"></script>
    <script type="text/javascript" src="./js/components/controls/CommandHistory.js"></script>
    <script type="text/javascript" src="./js/components/controls/TableReader.js"></script>
    <script type="text/javascript" src="./js/components/controls/MessagePool.js"></script>
    <script type="text/javascript" src="./js/components/dumb/forms/FormatPicker.js"></script>
    <script type="text/javascript" src="./js/components/smart/Toolbar.js"></script>
    <script type="text/javascript" src="./js/components/smart/EditorTable.js"></script>
    <script type="text/javascript" src="./js/components/smart/dialogs/ImportDialog.js"></script>
    <script type="text/javascript" src="./js/components/smart/dialogs/CreateDialog.js"></script>
    <script type="text/javascript" src="./js/components/smart/dialogs/HelpDialog.js"></script>
    <script type="text/javascript" src="./js/components/smart/Editor.js"></script>
    <script type="text/javascript" src="./js/components/smart/TableRenderer.js"></script>
    <script type="text/javascript" src="./js/edit.js"></script>

  </body>
</html>
